aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xmusic.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/music.sh b/music.sh
new file mode 100755
index 0000000..9027c22
--- /dev/null
+++ b/music.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+set -xe
+
+# nicked from https://hmbrg.xyz/log/2021/listen-to-audio-collection-via-dmenu-mpv/
+# ALl credit to them! Thank you.
+
+### -----------------------------------------------------------------
+### Global variables:
+### -----------------------------------------------------------------
+DIR=~/annex/Music
+PLAYER=mpv
+DMENU='dmenu -i -l 30 -nb yellow -nf black'
+
+### -----------------------------------------------------------------
+### Select the subdirectory from which you want to play the MP3 file:
+### -----------------------------------------------------------------
+albums=$(ls -1 "$DIR" | $DMENU -p "Select subdir: ")
+
+### -----------------------------------------------------------------
+### Select the subdirectory from which you want to play the MP3 file:
+### -----------------------------------------------------------------
+album=$(ls -1 "$DIR/$albums" | $DMENU -p "Select album: ")
+
+### -----------------------------------------------------------------
+### Select MP3 file to play back:
+### -----------------------------------------------------------------
+mp3=$(ls -1 "$DIR/$albums/$album/" | $DMENU -p "MP3 to play back: ")
+
+### -----------------------------------------------------------------
+### Play back selected MP3 file:
+### -----------------------------------------------------------------
+$PLAYER "$DIR/$albums/$album/$mp3" --no-video
+